<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_objarray_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_objarray_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_objarray_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>object array object descriptor as placed in shared memory </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__objarray__t.html#a78d60977f519210e28c685d21a36c1e4">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#a78d60977f519210e28c685d21a36c1e4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__objarray__t.html#a7d77b6a29034b5eeba697a8b67820873">item_type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The source width.  <a href="#a7d77b6a29034b5eeba697a8b67820873"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__objarray__t.html#a5a8bfea097c4c4315e8c5bd739f8354d">num_items</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of valid items in array  <a href="#a5a8bfea097c4c4315e8c5bd739f8354d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__objarray__t.html#a0917cb5b778aa973163497204788fe43">obj_desc_id</a> [TIVX_OBJECT_ARRAY_MAX_ITEMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">array of descriptor ids of the objects  <a href="#a0917cb5b778aa973163497204788fe43"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a78d60977f519210e28c685d21a36c1e4"></a><!-- doxytag: member="tivx_obj_desc_objarray_t::base" ref="a78d60977f519210e28c685d21a36c1e4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__objarray__t.html#a78d60977f519210e28c685d21a36c1e4">tivx_obj_desc_objarray_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="a7d77b6a29034b5eeba697a8b67820873"></a><!-- doxytag: member="tivx_obj_desc_objarray_t::item_type" ref="a7d77b6a29034b5eeba697a8b67820873" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__obj__desc__objarray__t.html#a7d77b6a29034b5eeba697a8b67820873">tivx_obj_desc_objarray_t::item_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source width. </p>
<p>The item type of the lut. </p>

</div>
</div>
<a class="anchor" id="a5a8bfea097c4c4315e8c5bd739f8354d"></a><!-- doxytag: member="tivx_obj_desc_objarray_t::num_items" ref="a5a8bfea097c4c4315e8c5bd739f8354d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__objarray__t.html#a5a8bfea097c4c4315e8c5bd739f8354d">tivx_obj_desc_objarray_t::num_items</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of valid items in array </p>

</div>
</div>
<a class="anchor" id="a0917cb5b778aa973163497204788fe43"></a><!-- doxytag: member="tivx_obj_desc_objarray_t::obj_desc_id" ref="a0917cb5b778aa973163497204788fe43" args="[TIVX_OBJECT_ARRAY_MAX_ITEMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__obj__desc__objarray__t.html#a0917cb5b778aa973163497204788fe43">tivx_obj_desc_objarray_t::obj_desc_id</a>[TIVX_OBJECT_ARRAY_MAX_ITEMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array of descriptor ids of the objects </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
